

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">

  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <title>j721e Board Configuration Resource Assignment Type Descriptions &mdash; TISCI User Guide</title>




    <link rel="shortcut icon" href="../../_static/favicon.ico"/>












    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />



    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />



        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 5: SoC Family Specific Documentation" href="../index.html"/>
        <link rel="next" title="j721e Peripheral Interrupt Source Descriptions" href="irq_sources.html"/>
        <link rel="prev" title="J721E Clock Identifiers" href="clocks.html"/>


  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">


    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">



            <a href="../../index.html" class="icon icon-home"> TISCI



          </a>




              <div class="version">
                19.07.00
              </div>




<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>


        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">



                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 5: SoC Family Specific Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#am6-soc-family">AM6 SoC Family</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#j721e-soc-family">J721E SoC Family</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="hosts.html">J721E Host Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="devices.html">J721E Devices Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="clocks.html">J721E Clock Identifiers</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">j721e Board Configuration Resource Assignment Type Descriptions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="irq_sources.html">j721e Peripheral Interrupt Source Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="irq_dsts.html">j721e Peripheral Interrupt Destination Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="navss.html">j721e Navigator Subsystem Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="sec_proxy.html">J721E Secure Proxy Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="processors.html">J721E Processor Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="firewalls.html">J721E Firewall Descriptions</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>



        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">


      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>



      <div class="wy-nav-content">
        <div class="rst-content">






<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>

          <li><a href="../index.html">Chapter 5: SoC Family Specific Documentation</a> &raquo;</li>

    <li>j721e Board Configuration Resource Assignment Type Descriptions</li>
      <li class="wy-breadcrumbs-aside">



      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">

  <div class="section" id="j721e-board-configuration-resource-assignment-type-descriptions">
<h1>j721e Board Configuration Resource Assignment Type Descriptions<a class="headerlink" href="#j721e-board-configuration-resource-assignment-type-descriptions" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This chapter provides information of Board Configuration resource assignment
type IDs that are permitted in the j721e SoC.  The resource type IDs represent
j721e resources ranges assignable to SoC processing entities (or PEs).</p>
<table border="1" class="docutils">
<colgroup>
<col width="21%" />
<col width="7%" />
<col width="53%" />
<col width="8%" />
<col width="10%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Device Name</th>
<th class="head">Device ID
(10-bits)</th>
<th class="head">Subtype Name</th>
<th class="head">Subtype ID
(6-bits)</th>
<th class="head">Unique Type ID
(16-bits)</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>J721E_DEV_COMPUTE_CLUSTER0_CLEC</td>
<td>0x006</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_CLEC_SOC_EVENTS_IN_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x00</td>
<td>0x0180</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_CLEC_SOC_EVENTS_IN_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x01</td>
<td>0x0181</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_CLEC_SOC_EVENTS_IN_IRQ_GROUP1_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x02</td>
<td>0x0182</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_CLEC_SOC_EVENTS_IN_IRQ_GROUP0_FROM_CMPEVENT_INTRTR0</td>
<td>0x03</td>
<td>0x0183</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_CLEC_SOC_EVENTS_IN_IRQ_GROUP2_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x04</td>
<td>0x0184</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_CLEC_SOC_EVENTS_IN_IRQ_GROUP0_FROM_WKUP_GPIOMUX_INTRTR0</td>
<td>0x05</td>
<td>0x0185</td>
</tr>
<tr class="row-even"><td>J721E_DEV_COMPUTE_CLUSTER0_GIC500SS</td>
<td>0x00E</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_GIC500SS_SPI_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x00</td>
<td>0x0380</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_GIC500SS_SPI_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x01</td>
<td>0x0381</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_GIC500SS_SPI_IRQ_GROUP1_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x02</td>
<td>0x0382</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_GIC500SS_SPI_IRQ_GROUP0_FROM_CMPEVENT_INTRTR0</td>
<td>0x03</td>
<td>0x0383</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_GIC500SS_SPI_IRQ_GROUP2_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x04</td>
<td>0x0384</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_COMPUTE_CLUSTER0_GIC500SS_SPI_IRQ_GROUP0_FROM_WKUP_GPIOMUX_INTRTR0</td>
<td>0x05</td>
<td>0x0385</td>
</tr>
<tr class="row-even"><td>J721E_DEV_MCU_CPSW0</td>
<td>0x012</td>
<td>RESASG_SUBTYPE_MCU_CPSW0_CPTS_HW3_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x0480</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_MCU_CPSW0_CPTS_HW4_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x01</td>
<td>0x0481</td>
</tr>
<tr class="row-even"><td>J721E_DEV_CPSW0</td>
<td>0x013</td>
<td>RESASG_SUBTYPE_CPSW0_CPTS_HW1_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x04C0</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_CPSW0_CPTS_HW2_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x01</td>
<td>0x04C1</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_CPSW0_CPTS_HW3_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x02</td>
<td>0x04C2</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_CPSW0_CPTS_HW4_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x03</td>
<td>0x04C3</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_CPSW0_CPTS_HW5_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x04</td>
<td>0x04C4</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_CPSW0_CPTS_HW6_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x05</td>
<td>0x04C5</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_CPSW0_CPTS_HW7_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x06</td>
<td>0x04C6</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_CPSW0_CPTS_HW8_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x07</td>
<td>0x04C7</td>
</tr>
<tr class="row-even"><td>J721E_DEV_ESM0</td>
<td>0x061</td>
<td>RESASG_SUBTYPE_ESM0_ESM_PLS_EVENT0_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x00</td>
<td>0x1840</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_ESM0_ESM_PLS_EVENT1_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x01</td>
<td>0x1841</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_ESM0_ESM_PLS_EVENT2_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x02</td>
<td>0x1842</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_WKUP_ESM0</td>
<td>0x063</td>
<td>RESASG_SUBTYPE_WKUP_ESM0_ESM_PLS_EVENT0_IRQ_GROUP0_FROM_WKUP_GPIOMUX_INTRTR0</td>
<td>0x00</td>
<td>0x18C0</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_WKUP_ESM0_ESM_PLS_EVENT1_IRQ_GROUP0_FROM_WKUP_GPIOMUX_INTRTR0</td>
<td>0x01</td>
<td>0x18C1</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_WKUP_ESM0_ESM_PLS_EVENT2_IRQ_GROUP0_FROM_WKUP_GPIOMUX_INTRTR0</td>
<td>0x02</td>
<td>0x18C2</td>
</tr>
<tr class="row-even"><td>J721E_DEV_PRU_ICSSG0</td>
<td>0x077</td>
<td>RESASG_SUBTYPE_PRU_ICSSG0_PR1_EDC0_LATCH0_IN_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x1DC0</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG0_PR1_EDC0_LATCH1_IN_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x01</td>
<td>0x1DC1</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG0_PR1_EDC1_LATCH0_IN_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x02</td>
<td>0x1DC2</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG0_PR1_EDC1_LATCH1_IN_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x03</td>
<td>0x1DC3</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG0_PR1_IEP0_CAP_INTR_REQ_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x04</td>
<td>0x1DC4</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG0_PR1_IEP1_CAP_INTR_REQ_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x05</td>
<td>0x1DC5</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG0_PR1_SLV_INTR_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x06</td>
<td>0x1DC6</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_PRU_ICSSG1</td>
<td>0x078</td>
<td>RESASG_SUBTYPE_PRU_ICSSG1_PR1_EDC0_LATCH0_IN_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x1E00</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG1_PR1_EDC0_LATCH1_IN_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x01</td>
<td>0x1E01</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG1_PR1_EDC1_LATCH0_IN_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x02</td>
<td>0x1E02</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG1_PR1_EDC1_LATCH1_IN_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x03</td>
<td>0x1E03</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG1_PR1_IEP0_CAP_INTR_REQ_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x04</td>
<td>0x1E04</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG1_PR1_IEP1_CAP_INTR_REQ_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x05</td>
<td>0x1E05</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_PRU_ICSSG1_PR1_SLV_INTR_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x06</td>
<td>0x1E06</td>
</tr>
<tr class="row-even"><td>J721E_DEV_C66SS0_CORE0</td>
<td>0x08E</td>
<td>RESASG_SUBTYPE_C66SS0_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP0_FROM_C66SS0_INTROUTER0</td>
<td>0x00</td>
<td>0x2380</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_C66SS0_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP1_FROM_C66SS0_INTROUTER0</td>
<td>0x01</td>
<td>0x2381</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_C66SS0_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP2_FROM_C66SS0_INTROUTER0</td>
<td>0x02</td>
<td>0x2382</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_C66SS0_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP3_FROM_C66SS0_INTROUTER0</td>
<td>0x03</td>
<td>0x2383</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_C66SS0_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP4_FROM_C66SS0_INTROUTER0</td>
<td>0x04</td>
<td>0x2384</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_C66SS1_CORE0</td>
<td>0x08F</td>
<td>RESASG_SUBTYPE_C66SS1_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP0_FROM_C66SS1_INTROUTER0</td>
<td>0x00</td>
<td>0x23C0</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_C66SS1_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP1_FROM_C66SS1_INTROUTER0</td>
<td>0x01</td>
<td>0x23C1</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_C66SS1_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP2_FROM_C66SS1_INTROUTER0</td>
<td>0x02</td>
<td>0x23C2</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_C66SS1_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP3_FROM_C66SS1_INTROUTER0</td>
<td>0x03</td>
<td>0x23C3</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_C66SS1_CORE0_C66_EVENT_IN_SYNC_IRQ_GROUP4_FROM_C66SS1_INTROUTER0</td>
<td>0x04</td>
<td>0x23C4</td>
</tr>
<tr class="row-even"><td>J721E_DEV_NAVSS512L_MAIN_0</td>
<td>0x0C7</td>
<td>RESASG_SUBTYPE_NAVSS512L_MAIN_0_CPTS0_HW1_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x31C0</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_NAVSS512L_MAIN_0_CPTS0_HW2_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x01</td>
<td>0x31C1</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_NAVSS512L_MAIN_0_CPTS0_HW3_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x02</td>
<td>0x31C2</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_NAVSS512L_MAIN_0_CPTS0_HW4_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x03</td>
<td>0x31C3</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_NAVSS512L_MAIN_0_CPTS0_HW5_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x04</td>
<td>0x31C4</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_NAVSS512L_MAIN_0_CPTS0_HW6_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x05</td>
<td>0x31C5</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_NAVSS512L_MAIN_0_CPTS0_HW7_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x06</td>
<td>0x31C6</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_NAVSS512L_MAIN_0_CPTS0_HW8_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x07</td>
<td>0x31C7</td>
</tr>
<tr class="row-even"><td>J721E_DEV_NAVSS0_MODSS_INTAGGR_0</td>
<td>0x0CF</td>
<td>RESASG_SUBTYPE_IA_VINT</td>
<td>0x0A</td>
<td>0x33CA</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_SEVT</td>
<td>0x0D</td>
<td>0x33CD</td>
</tr>
<tr class="row-even"><td>J721E_DEV_NAVSS0_MODSS_INTAGGR_1</td>
<td>0x0D0</td>
<td>RESASG_SUBTYPE_IA_VINT</td>
<td>0x0A</td>
<td>0x340A</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_SEVT</td>
<td>0x0D</td>
<td>0x340D</td>
</tr>
<tr class="row-even"><td>J721E_DEV_NAVSS0_UDMASS_INTAGGR_0</td>
<td>0x0D1</td>
<td>RESASG_SUBTYPE_NAVSS0_UDMASS_INTAGGR_0_INTAGGR_LEVI_PEND_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x3440</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_NAVSS0_UDMASS_INTAGGR_0_INTAGGR_LEVI_PEND_IRQ_GROUP0_FROM_CMPEVENT_INTRTR0</td>
<td>0x01</td>
<td>0x3441</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_NAVSS0_UDMASS_INTAGGR_0_INTAGGR_LEVI_PEND_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x02</td>
<td>0x3442</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_IA_VINT</td>
<td>0x0A</td>
<td>0x344A</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_GEVT</td>
<td>0x0B</td>
<td>0x344B</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_MEVT</td>
<td>0x0C</td>
<td>0x344C</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_SEVT</td>
<td>0x0D</td>
<td>0x344D</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_NAVSS0_RINGACC_0</td>
<td>0x0D3</td>
<td>RESASG_SUBTYPE_RA_ERROR_OES</td>
<td>0x00</td>
<td>0x34C0</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_GP</td>
<td>0x01</td>
<td>0x34C1</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_RX</td>
<td>0x02</td>
<td>0x34C2</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_TX</td>
<td>0x03</td>
<td>0x34C3</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_TX_EXT</td>
<td>0x04</td>
<td>0x34C4</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_RX_H</td>
<td>0x05</td>
<td>0x34C5</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_RX_UH</td>
<td>0x06</td>
<td>0x34C6</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_TX_H</td>
<td>0x07</td>
<td>0x34C7</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_TX_UH</td>
<td>0x08</td>
<td>0x34C8</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_VIRTID</td>
<td>0x0A</td>
<td>0x34CA</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_NAVSS0_UDMAP_0</td>
<td>0x0D4</td>
<td>RESASG_SUBTYPE_UDMAP_RX_FLOW_COMMON</td>
<td>0x00</td>
<td>0x3500</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_INVALID_FLOW_OES</td>
<td>0x01</td>
<td>0x3501</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_TRIGGER</td>
<td>0x02</td>
<td>0x3502</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_GLOBAL_CONFIG</td>
<td>0x03</td>
<td>0x3503</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_RX_CHAN</td>
<td>0x0A</td>
<td>0x350A</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_RX_HCHAN</td>
<td>0x0B</td>
<td>0x350B</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_RX_UHCHAN</td>
<td>0x0C</td>
<td>0x350C</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_TX_CHAN</td>
<td>0x0D</td>
<td>0x350D</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_TX_ECHAN</td>
<td>0x0E</td>
<td>0x350E</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_TX_HCHAN</td>
<td>0x0F</td>
<td>0x350F</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_TX_UHCHAN</td>
<td>0x10</td>
<td>0x3510</td>
</tr>
<tr class="row-even"><td>J721E_DEV_MCU_NAVSS0_INTAGGR_0</td>
<td>0x0E9</td>
<td>RESASG_SUBTYPE_MCU_NAVSS0_INTAGGR_0_INTAGGR_LEVI_PEND_IRQ_GROUP0_FROM_WKUP_GPIOMUX_INTRTR0</td>
<td>0x00</td>
<td>0x3A40</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_IA_VINT</td>
<td>0x0A</td>
<td>0x3A4A</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_GEVT</td>
<td>0x0B</td>
<td>0x3A4B</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_MEVT</td>
<td>0x0C</td>
<td>0x3A4C</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_SEVT</td>
<td>0x0D</td>
<td>0x3A4D</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_MCU_NAVSS0_RINGACC_0</td>
<td>0x0EB</td>
<td>RESASG_SUBTYPE_RA_ERROR_OES</td>
<td>0x00</td>
<td>0x3AC0</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_GP</td>
<td>0x01</td>
<td>0x3AC1</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_RX</td>
<td>0x02</td>
<td>0x3AC2</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_TX</td>
<td>0x03</td>
<td>0x3AC3</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_RX_H</td>
<td>0x05</td>
<td>0x3AC5</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_UDMAP_TX_H</td>
<td>0x07</td>
<td>0x3AC7</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_RA_VIRTID</td>
<td>0x0A</td>
<td>0x3ACA</td>
</tr>
<tr class="row-even"><td>J721E_DEV_MCU_NAVSS0_UDMAP_0</td>
<td>0x0EC</td>
<td>RESASG_SUBTYPE_UDMAP_RX_FLOW_COMMON</td>
<td>0x00</td>
<td>0x3B00</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_INVALID_FLOW_OES</td>
<td>0x01</td>
<td>0x3B01</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_GLOBAL_EVENT_TRIGGER</td>
<td>0x02</td>
<td>0x3B02</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_GLOBAL_CONFIG</td>
<td>0x03</td>
<td>0x3B03</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_RX_CHAN</td>
<td>0x0A</td>
<td>0x3B0A</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_RX_HCHAN</td>
<td>0x0B</td>
<td>0x3B0B</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_TX_CHAN</td>
<td>0x0D</td>
<td>0x3B0D</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_UDMAP_TX_HCHAN</td>
<td>0x0F</td>
<td>0x3B0F</td>
</tr>
<tr class="row-even"><td>J721E_DEV_PCIE0</td>
<td>0x0EF</td>
<td>RESASG_SUBTYPE_PCIE0_PCIE_CPTS_HW2_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x3BC0</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_PCIE1</td>
<td>0x0F0</td>
<td>RESASG_SUBTYPE_PCIE1_PCIE_CPTS_HW2_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x3C00</td>
</tr>
<tr class="row-even"><td>J721E_DEV_PCIE2</td>
<td>0x0F1</td>
<td>RESASG_SUBTYPE_PCIE2_PCIE_CPTS_HW2_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x3C40</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_PCIE3</td>
<td>0x0F2</td>
<td>RESASG_SUBTYPE_PCIE3_PCIE_CPTS_HW2_PUSH_IRQ_GROUP0_FROM_TIMESYNC_INTRTR0</td>
<td>0x00</td>
<td>0x3C80</td>
</tr>
<tr class="row-even"><td>J721E_DEV_R5FSS0_CORE0</td>
<td>0x0F5</td>
<td>RESASG_SUBTYPE_R5FSS0_CORE0_INTR_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x00</td>
<td>0x3D40</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_R5FSS0_CORE0_INTR_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x01</td>
<td>0x3D41</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_R5FSS0_CORE0_INTR_IRQ_GROUP0_FROM_R5FSS0_INTROUTER0</td>
<td>0x02</td>
<td>0x3D42</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_R5FSS0_CORE1</td>
<td>0x0F6</td>
<td>RESASG_SUBTYPE_R5FSS0_CORE1_INTR_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x00</td>
<td>0x3D80</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_R5FSS0_CORE1_INTR_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x01</td>
<td>0x3D81</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_R5FSS0_CORE1_INTR_IRQ_GROUP0_FROM_R5FSS0_INTROUTER0</td>
<td>0x02</td>
<td>0x3D82</td>
</tr>
<tr class="row-even"><td>J721E_DEV_R5FSS1_CORE0</td>
<td>0x0F7</td>
<td>RESASG_SUBTYPE_R5FSS1_CORE0_INTR_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x00</td>
<td>0x3DC0</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_R5FSS1_CORE0_INTR_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x01</td>
<td>0x3DC1</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_R5FSS1_CORE0_INTR_IRQ_GROUP0_FROM_R5FSS1_INTROUTER0</td>
<td>0x02</td>
<td>0x3DC2</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_R5FSS1_CORE1</td>
<td>0x0F8</td>
<td>RESASG_SUBTYPE_R5FSS1_CORE1_INTR_IRQ_GROUP0_FROM_GPIOMUX_INTRTR0</td>
<td>0x00</td>
<td>0x3E00</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_R5FSS1_CORE1_INTR_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x01</td>
<td>0x3E01</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_R5FSS1_CORE1_INTR_IRQ_GROUP0_FROM_R5FSS1_INTROUTER0</td>
<td>0x02</td>
<td>0x3E02</td>
</tr>
<tr class="row-even"><td>J721E_DEV_MCU_R5FSS0_CORE0</td>
<td>0x0FA</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE0_INTR_IRQ_GROUP0_FROM_MCU_NAVSS0_INTR_ROUTER_0</td>
<td>0x00</td>
<td>0x3E80</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE0_INTR_IRQ_GROUP0_FROM_WKUP_GPIOMUX_INTRTR0</td>
<td>0x01</td>
<td>0x3E81</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE0_INTR_IRQ_GROUP0_FROM_MAIN2MCU_LVL_INTRTR0</td>
<td>0x02</td>
<td>0x3E82</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE0_INTR_IRQ_GROUP0_FROM_MAIN2MCU_PLS_INTRTR0</td>
<td>0x03</td>
<td>0x3E83</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE0_INTR_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x04</td>
<td>0x3E84</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_MCU_R5FSS0_CORE1</td>
<td>0x0FB</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE1_INTR_IRQ_GROUP0_FROM_MCU_NAVSS0_INTR_ROUTER_0</td>
<td>0x00</td>
<td>0x3EC0</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE1_INTR_IRQ_GROUP0_FROM_WKUP_GPIOMUX_INTRTR0</td>
<td>0x01</td>
<td>0x3EC1</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE1_INTR_IRQ_GROUP0_FROM_MAIN2MCU_LVL_INTRTR0</td>
<td>0x02</td>
<td>0x3EC2</td>
</tr>
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE1_INTR_IRQ_GROUP0_FROM_MAIN2MCU_PLS_INTRTR0</td>
<td>0x03</td>
<td>0x3EC3</td>
</tr>
<tr class="row-odd"><td>&#160;</td>
<td>&#160;</td>
<td>RESASG_SUBTYPE_MCU_R5FSS0_CORE1_INTR_IRQ_GROUP0_FROM_NAVSS0_INTR_ROUTER_0</td>
<td>0x04</td>
<td>0x3EC4</td>
</tr>
</tbody>
</table>
</div>
</div>


           </div>
          </div>
          <footer>

    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">

        <a href="irq_sources.html" class="btn btn-neutral float-right" title="j721e Peripheral Interrupt Source Descriptions" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>


        <a href="clocks.html" class="btn btn-neutral" title="J721E Clock Identifiers" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>

    </div>


  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2019</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div>

</footer>

        </div>
      </div>

    </section>

  </div>





    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'19.07.00',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>





    <script type="text/javascript" src="../../_static/js/theme.js"></script>




  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>


</body>
</html>